%define lib_major 1
%define lib_name  %mklibname %name %{lib_major}
%define lib_dev   %mklibname %name -d

%define rel 1

Name:           qt5keychain
Summary:        Platform-independent Qt5 API for storing passwords securely
Version:        0.13.2
Release:        %mkrel %rel
License:        LGPLv2+
Group:          Graphical desktop/KDE
Url:            https://github.com/frankosterfeld/qtkeychain
Source0:        https://github.com/frankosterfeld/qtkeychain/archive/v%version/qtkeychain-%version.tar.gz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  cmake

%description
Platform-independent Qt5 API for storing passwords securely.

#------------------------------------------------------------------

%package -n     %{lib_name}
Summary:        Platform-independent Qt5 API for storing passwords securely
Group:          System/Libraries

%description -n %{lib_name}
Platform-independent Qt5 API for storing passwords securely.

%files -n %{lib_name}
%{_libdir}/libqt5keychain.so.%{lib_major}{,.*}
%{_libdir}/libqt5keychain.so.%{version}
%{_datadir}/qt5keychain/

#------------------------------------------------------------------

%package -n     %{lib_dev}
Summary:        Development tools for programs which will use the %{name}
Group:          Development/C
Requires:       %{lib_name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{lib_dev}
This package contains the header files and .so libraries
for developing %{name}.

%files -n %{lib_dev}
%doc ChangeLog ReadMe.md
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/Qt5Keychain/
%{_libdir}/qt5/mkspecs/modules/*.pri

#------------------------------------------------------------------

%prep
%setup -q -n qtkeychain-%version

%build
%cmake_qt5 \
        -DLIBSECRET_SUPPORT=ON \
        -DECM_MKSPECS_INSTALL_DIR=%{_libdir}/qt5/mkspecs/modules

%cmake_build

%install
%cmake_install


%changelog
* Tue Sep 06 2022 papoteur <papoteur> 0.13.2-1.mga9
+ Revision: 1884522
- new 0.13.2

* Sun Apr 03 2022 umeabot <umeabot> 0.11.1-3.mga9
+ Revision: 1842187
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.11.1-2.mga8
+ Revision: 1659562
- Rebuild for new Qt5

* Wed Sep 09 2020 daviddavid <daviddavid> 0.11.1-1.mga8
+ Revision: 1623761
- new version: 0.11.1

* Tue Feb 18 2020 umeabot <umeabot> 0.10.0-2.mga8
+ Revision: 1541258
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Dec 22 2019 daviddavid <daviddavid> 0.10.0-1.mga8
+ Revision: 1469460
- new version: 0.10.0

* Mon Apr 01 2019 umeabot <umeabot> 0.9.1-2.mga7
+ Revision: 1384307
- Qt5 Rebuild

* Wed Oct 31 2018 daviddavid <daviddavid> 0.9.1-1.mga7
+ Revision: 1326838
- new version: 0.9.1

* Sun Sep 23 2018 umeabot <umeabot> 0.9.0-2.mga7
+ Revision: 1300689
- Mageia 7 Mass Rebuild

* Wed Aug 15 2018 daviddavid <daviddavid> 0.9.0-1.mga7
+ Revision: 1251700
- new version: 0.9.0

* Fri Aug 11 2017 daviddavid <daviddavid> 0.8.0-1.mga7
+ Revision: 1139749
- new version: 0.8.0

* Fri Sep 23 2016 daviddavid <daviddavid> 0.7.0-2.mga6
+ Revision: 1055598
- obsoletes old lib to ease upgrade mga5 -> mga6

* Thu Sep 08 2016 daviddavid <daviddavid> 0.7.0-1.mga6
+ Revision: 1050785
- new version: 0.7.0
- now libmajor is 1
- update description and summary

* Sat Feb 06 2016 umeabot <umeabot> 0.4-4.mga6
+ Revision: 940486
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4-3.mga5
+ Revision: 749900
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-2.mga5
+ Revision: 688533
- Mageia 5 Mass Rebuild

* Thu Sep 11 2014 colin <colin> 0.4-1.mga5
+ Revision: 674683
- More fixes for BuildRequires
- Fix BuildRequires
- New version: 0.4 (Qt5)
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
+ neoclust <neoclust>
- Do not requires qtkeychain package as it does not exist
- imported package qtkeychain

